#
# spec file for package blue-horizon-config-deploy-cap-aks
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           blue-horizon-config-deploy-cap-aks
Version:        2020.03.03
Release:        3.3.1
Summary:        Configuration for blue-horizon for deploy-cap on Azure
License:        CC-BY-ND-4.0
URL:            http://www.github.com:SUSE/pubcloud
Source0:        %{name}-%{version}.tar.bz2
Requires:       blue-horizon
Requires:       nginx
Requires:       python3-cloudinstancecredentials
BuildRequires:  blue-horizon
BuildRequires:  nginx
Provides:       blue-horizon-config
Conflicts:      otherproviders(blue-horizon-config)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildArch:      noarch

%description
Non-terraform support configs to configure blue-horizon for CAP deployment
on AKS in Microsoft Azure

%prep
%setup -q

%build

%install
%make_install

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%config %{_sysconfdir}/nginx/vhosts.d/blue-horizon-http.conf
%dir /srv/www/blue-horizon/vendor
/srv/www/blue-horizon/vendor/customization.json
%dir /srv/www/blue-horizon/vendor/locales
/srv/www/blue-horizon/vendor/locales/*
%{_unitdir}/blue-horizon.service

%changelog
* Tue Mar  3 2020 jmason@suse.com
- version 2020.03.03
  + Short description text
  + Add wrap up text
* Tue Feb 25 2020 jmason@suse.com
- version 2020.02.25
  + Use the default credential path for cloudinstancecredentials
  + Require cloudinstancecredentials pkg dependency
  + Add prerequisites from cap-terraform README to description
  + Remove MOTD due to conflicts
* Tue Feb 11 2020 jmason@suse.com
- version 2020.02.11
  + initial commit
